Jifty::CAS::Blob(3)

NAME
Jifty::CAS::Blob - An object in Jifty's content-addressed store

SYNOPSIS
  my $blob = Jifty::CAS->retrieve('js', $key);
  my $content = $blob->content;
  my $meta = $blob->metadata;
  my $key = $blob->key;

DESCRIPTION
Objects in the content-addressed store can have arbitrary metadata associated with them, in addition to storing their contents.

METHODS

  new HASHREF
Takes a HASHREF, with possible keys "content" and "metadata", and creates a new object. Possible special keys in the metadata include:

hash_with
    Provides the data to hash to generate the address. If no "hash_with" is provided, the content itself is hashed.

  content
Returns the content of the blob.

  metadata
Returns a hashref of metadata.

  key
Returns the key calculated for this content.